ZIP_ERROR_SET_FROM_SOURCE(3)

NAME
zip_error_set_from_source - fill in zip_error structure from source

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

void
zip_error_set_from_source(zip_error_t *ze, zip_source_t *src);

DESCRIPTION
The zip_error_set_from_source() function sets the zip_error pointed to by ze to the error reported by src as returned by zip_error_source(3). ze must be allocated and initialized with zip_error_init(3) before calling zip_error_set_from_source().

SEE ALSO
libzip(3), zip_error_init(3), zip_error_set(3)

HISTORY
zip_error_set_from_source() was added in libzip 1.10.

AUTHORS
Dieter Baron <dillo@nih.at> and Thomas Klausner <wiz@gatalith.at>